import java.net.ServerSocket;
import java.io.IOException;
 
/**
 * Ein einfacher Chatserver fr mehrere Clients.
 * 
 * @author Bernd Gramlich nach den Oracle Java Tutorials. 
 * @version 2014-12-08
 */
public class Chatserver
{
    private ServerSocket serverSocket;
    
    /**
     * Konstruktor.
     * ffne einen ServerSocket auf der angegebenen Portnummer und
     * starte dort einen Serverprozess.
     */
    public Chatserver (int portNr)
    {
        try
        {
            ServerSocket serverSocket = new ServerSocket (portNr);
            
            new Thread (new ServerProzess (serverSocket)).start();
        }
        catch (IOException e)
        {
            System.err.println ("Empfang auf " + portNr + " gescheitert.");
        }
    }
}